Loading...
Searching...
No Matches
irr::gui::IGUIImageList Class Referenceabstract

Font interface. More...

`#include <IGUIImageList.h>`

Inheritance diagram for irr::gui::IGUIImageList:

## Public Member Functions

virtual | ~IGUIImageList ()
| Destructor.
virtual void | draw (s32 index, const core::position2d< s32 > &destPos, const core::rect< s32 > *clip=0)=0
virtual s32 | getImageCount () const =0
virtual core::dimension2d< s32 > | getImageSize () const =0
Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.

## Additional Inherited Members

Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.

## Detailed Description

Font interface.

Definition at line 17 of file IGUIImageList.h.

## Constructor & Destructor Documentation

## ~IGUIImageList()

virtual irr::gui::IGUIImageList::~IGUIImageList | ( |  | ) |

inline virtual

Destructor.

Definition at line 22 of file IGUIImageList.h.

## Member Function Documentation

## draw()

virtual void irr::gui::IGUIImageList::draw | ( | s32 | index,
|  | const core::position2d< s32 > & | destPos,
|  | const core::rect< s32 > * | clip = 0 )

pure virtual

Draws an image and clips it to the specified rectangle if wanted

Parameters

  index | Index of the image
  destPos | Position of the image to draw
  clip | Optional pointer to a rectalgle against which the text will be clipped. If the pointer is null, no clipping will be done.

## getImageCount()

virtual s32 irr::gui::IGUIImageList::getImageCount | ( |  | ) | const

pure virtual

Returns the count of Images in the list.

Returns
  Returns the count of Images in the list.

## getImageSize()

virtual core::dimension2d< s32 > irr::gui::IGUIImageList::getImageSize | ( |  | ) | const

pure virtual

Returns the size of the images in the list.

Returns
  Returns the size of the images in the list.

The documentation for this class was generated from the following file:

- IGUIImageList.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0